PHP 手冊
前一頁 |  | 下一頁

# SoapParam->__construct()

SoapParam->__construct() -- SoapParam constructor

## Description

class SoapParam {
__construct ( mixed data, string name )
}

Constructs a new SoapParam object.

## Parameters

data

  The data to pass or return. You can pass this parameter directly as PHP value, but in this case it will be named as paramN and the SOAP Service may not understand it.

name

  The parameter name.

## 範例

範例 1. Some examples

`<?php $client = new SoapClient(null,array('location' => "http://localhost/soap.php", 'uri' => "http://test-uri/")); $client->SomeFunction(new SoapParam($a, "a"), new SoapParam($b, "b"), new SoapParam($c, "c")); ?>`

## 參考

SoapClient->__soapCall()
SoapVar->__construct()

前一頁 | 內容 | 下一頁
SoapHeader->__construct() | 上一層 | SoapServer->addFunction()